> ## Documentation Index
> Fetch the complete documentation index at: https://docs.blink.store/llms.txt
> Use this file to discover all available pages before exploring further.

# Register a new affiliate

> Headless registration for custom storefronts. Provisions a user identity, creates an affiliate profile, and enrolls them into the store's default affiliate program.



## OpenAPI

````yaml post /v1/affiliates/register
openapi: 3.0.0
info:
  title: Blink API
  description: Comprehensive API documentation for Blink.
  version: 1.0.0
servers:
  - url: https://api.blink.store/v1
security: []
paths:
  /v1/affiliates/register:
    post:
      tags:
        - Affiliates
      summary: Register a new affiliate
      description: >-
        Headless registration for custom storefronts. Provisions a user
        identity, creates an affiliate profile, and enrolls them into the
        store's default affiliate program.
      requestBody:
        required: true
        content:
          application/json:
            schema:
              type: object
              properties:
                email:
                  type: string
                full_name:
                  type: string
                country:
                  type: string
              required:
                - email
                - full_name
      responses:
        '201':
          description: Affiliate registered successfully
          content:
            application/json:
              schema:
                type: object
                properties:
                  data:
                    type: object
                    properties:
                      id:
                        type: string
                      status:
                        type: string
                        enum:
                          - pending
                          - approved

````